> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.getunleash.io/llms.txt.
> For full documentation content, see https://docs.getunleash.io/llms-full.txt.

# [BETA] Configuration for the actions UI.

GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/actions/config

**Enterprise feature**

**[BETA]** This API is in beta state, which means it may change or be removed in the future.

Returns the configuration for the actions UI.

Reference: https://docs.getunleash.io/api/get-actions-config

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: admin-api
  version: 1.0.0
paths:
  /api/admin/projects/{projectId}/actions/config:
    get:
      operationId: get-actions-config
      summary: '[BETA] Configuration for the actions UI.'
      description: >-
        **Enterprise feature**


        **[BETA]** This API is in beta state, which means it may change or be
        removed in the future.


        Returns the configuration for the actions UI.
      tags:
        - subpackage_projects
      parameters:
        - name: projectId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: API key needed to access this API
          required: true
          schema:
            type: string
      responses:
        '200':
          description: actionDefinitionsConfigSchema
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/actionDefinitionsConfigSchema'
        '401':
          description: >-
            Authorization information is missing or invalid. Provide a valid API
            token as the `authorization` header, e.g.
            `authorization:*.*.my-admin-token`.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetActionsConfigRequestUnauthorizedError'
        '403':
          description: >-
            The provided user credentials are valid, but the user does not have
            the necessary permissions to perform this operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetActionsConfigRequestForbiddenError'
servers:
  - url: https://app.unleash-instance.example.com
components:
  schemas:
    ActionDefinitionParameterSchemaName:
      type: string
      enum:
        - project
        - environment
        - featureName
        - tag
      description: The name of the parameter.
      title: ActionDefinitionParameterSchemaName
    ActionDefinitionParameterSchemaType:
      type: string
      enum:
        - select
        - hidden
      description: The parameter type.
      title: ActionDefinitionParameterSchemaType
    actionDefinitionParameterSchema:
      type: object
      properties:
        name:
          $ref: '#/components/schemas/ActionDefinitionParameterSchemaName'
          description: The name of the parameter.
        label:
          type: string
          description: The label of the parameter.
        type:
          $ref: '#/components/schemas/ActionDefinitionParameterSchemaType'
          description: The parameter type.
        optional:
          type: boolean
          default: true
          description: Whether the parameter is optional.
        options:
          type: array
          items:
            type: string
          description: Lists of options to be used for the parameter.
      required:
        - name
        - label
        - type
      description: Defines a parameter for an action.
      title: actionDefinitionParameterSchema
    actionDefinitionSchema:
      type: object
      properties:
        label:
          type: string
          description: The label of the action.
        description:
          type: string
          description: A description for the action.
        category:
          type: string
          description: The category of the action.
        permissions:
          type: array
          items:
            type: string
          description: The permissions required to perform the action.
        parameters:
          type: array
          items:
            $ref: '#/components/schemas/actionDefinitionParameterSchema'
          description: The parameters required to perform the action.
      required:
        - label
        - description
        - category
        - permissions
        - parameters
      description: Configuration of a single action and its parameters.
      title: actionDefinitionSchema
    actionDefinitionsConfigSchema:
      type: object
      properties:
        TOGGLE_FEATURE_ON:
          $ref: '#/components/schemas/actionDefinitionSchema'
        TOGGLE_FEATURE_OFF:
          $ref: '#/components/schemas/actionDefinitionSchema'
        TOGGLE_FEATURES_ON_BY_TAG:
          $ref: '#/components/schemas/actionDefinitionSchema'
        TOGGLE_FEATURES_OFF_BY_TAG:
          $ref: '#/components/schemas/actionDefinitionSchema'
      description: Configuration of different actions and their parameters.
      title: actionDefinitionsConfigSchema
    GetActionsConfigRequestUnauthorizedError:
      type: object
      properties:
        id:
          type: string
          description: The ID of the error instance
        name:
          type: string
          description: The name of the error kind
        message:
          type: string
          description: A description of what went wrong.
      title: GetActionsConfigRequestUnauthorizedError
    GetActionsConfigRequestForbiddenError:
      type: object
      properties:
        id:
          type: string
          description: The ID of the error instance
        name:
          type: string
          description: The name of the error kind
        message:
          type: string
          description: A description of what went wrong.
      title: GetActionsConfigRequestForbiddenError
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: API key needed to access this API
    bearerToken:
      type: http
      scheme: bearer
      description: API key needed to access this API, in Bearer token format

```

## SDK Code Examples

```python
import requests

url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config"

headers = {"Authorization": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config';
const options = {method: 'GET', headers: {Authorization: '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config")
  .header("Authorization", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config', [
  'headers' => [
    'Authorization' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/config")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```